This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1296969 - Teiid does not fully implement the OpenGIS specification
Teiid does not fully implement the OpenGIS specification
Status: CLOSED WONTFIX
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid (Show other bugs)
6.3.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Van Halbert
Andrej Smigala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-08 10:12 EST by Andrej Smigala
Modified: 2016-08-24 13:48 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-08 10:32:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBDVPL-287 Major Closed Support GeoSpatial Features 2016-08-25 01:59 EDT

  None (edit)
Description Andrej Smigala 2016-01-08 10:12:29 EST
Per JBDVPL-287, DV is supposed to support geospatial features. It is not explicitly mentioned in the JIRA, but OpenGIS Simple Features Specification For SQL appears to be the relevant specification to implement.

However, the current implementation is missing the following functions:

st_Dimension
st_GeometryType
st_IsEmpty
st_IsSimple
st_Boundary
st_Envelope
st_X
st_Y
st_StartPoint
st_EndPoint
st_Boundary
st_Boundary
st_Length
st_NumPoints
st_PointN
st_Centroid
st_PointOnSurface
st_Area
st_ExteriorRing
st_NumInteriorRings
st_InteriorRingN
st_NumGeometries
st_GeometryN
st_IsClosed
st_Length
st_Centroid
st_PointOnSurface
st_Area
st_Within
st_Relate
st_Intersection
st_Difference
st_Union
st_SymmetricDifference
st_Buffer
st_ConvexHull
Comment 2 Van Halbert 2016-01-08 10:32:07 EST
This wasn't part of the requirement, to fully support DV as a GIS data source.   See:  TEIID-3869, for this is being discussed.
Comment 3 JBoss JIRA Server 2016-08-24 13:48:45 EDT
Deborah Rieden <drieden@redhat.com> updated the status of jira JBDVPL-287 to Closed

Note You need to log in before you can comment on or make changes to this bug.